2019-11-12 12:42 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000716Spring engineGeneralpublic2007-12-21 15:57
Reportertombom 
Assigned Totvo 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000716: [patch] Trees reclaim far too fast
DescriptionSomebody mentioned this on the forums but just said "features" - I was only able to reproduce it with map trees. The attached patch should fix it, but I haven't been able to test because of compile problems. It's because trees aren't created with a correct reclaimTime. It's possible there are other instances of this in the code but I wasn't able to find them with a quick search
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • patch file icon relcaaikmtimefix.patch (544 bytes) 2007-12-18 15:17 -
    Index: FeatureHandler.cpp
    ===================================================================
    --- FeatureHandler.cpp	(revision 5043)
    +++ FeatureHandler.cpp	(working copy)
    @@ -275,6 +275,7 @@
     			fd->modelType = atoi(name.substr(8).c_str());
     			fd->energy = 250;
     			fd->metal = 0;
    +			fd->reclaimTime = 250;
     			fd->maxHealth = 5;
     			fd->xsize = 2;
     			fd->ysize = 2;
    @@ -294,6 +295,7 @@
     			fd->modelType = 0;
     			fd->energy = 0;
     			fd->metal = 0;
    +			fd->reclaimTime = 0;
     			fd->maxHealth = 0;
     			fd->xsize = 0;
     			fd->ysize = 0;
    
    patch file icon relcaaikmtimefix.patch (544 bytes) 2007-12-18 15:17 +

-Relationships
+Relationships

-Notes

~0001536

imbaczek (reporter)

r5087?

~0001538

tvo (reporter)

Fixed by kloot in r5087.

Thanks for the patch anyway :-)
+Notes

-Issue History
Date Modified Username Field Change
2007-12-18 15:17 tombom New Issue
2007-12-18 15:17 tombom File Added: relcaaikmtimefix.patch
2007-12-21 15:05 tvo Severity minor => major
2007-12-21 15:05 tvo Summary Trees reclaim far too fast => [patch] Trees reclaim far too fast
2007-12-21 15:53 imbaczek Note Added: 0001536
2007-12-21 15:57 tvo Status new => resolved
2007-12-21 15:57 tvo Resolution open => fixed
2007-12-21 15:57 tvo Assigned To => tvo
2007-12-21 15:57 tvo Note Added: 0001538
+Issue History